package com.neusoft.smart.pos.org.persistent.mapper;

import com.neusoft.smart.pos.org.persistent.domain.OrganizationGroup;
import com.neusoft.smart.pos.org.persistent.domain.OrganizationGroupExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
public interface OrganizationGroupMapper {
    int countByExample(OrganizationGroupExample example);

    int deleteByExample(OrganizationGroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(OrganizationGroup record);

    int insertSelective(OrganizationGroup record);

    List<OrganizationGroup> selectByExample(OrganizationGroupExample example);

    OrganizationGroup selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") OrganizationGroup record, @Param("example") OrganizationGroupExample example);

    int updateByExample(@Param("record") OrganizationGroup record, @Param("example") OrganizationGroupExample example);

    int updateByPrimaryKeySelective(OrganizationGroup record);

    int updateByPrimaryKey(OrganizationGroup record);

    void batchInsert(@Param("items") List<OrganizationGroup> items);
}